package com.njcn.pojo.advanced;

import com.njcn.pojo.commons.WaveData;

import java.util.LinkedList;
import java.util.List;

public class PublicData {
	private List<PicDataObj> list;

	public PublicData() {
		super();
		this.list = new LinkedList<>();
	}

	public List<PicDataObj> getList() {
		return list;
	}

	synchronized public void addData(WaveData l, String name, String picIndex, String stringPt) {
		PicDataObj picDataObj = new PicDataObj();
		picDataObj.setPicName(name);
		picDataObj.setPicIndex(picIndex);
		picDataObj.setStringPt(stringPt);
		picDataObj.setWaveData(l);
		list.add(picDataObj);
	}

	@Override
	public String toString() {
		return "PublicData [getClass()=" + getClass() + ", hashCode()=" + hashCode() + ", toString()="
				+ super.toString() + "]";
	}
}
